GST-CONVERT(1)

NAME
gst-convert - Smalltalk syntax converter and beautifier

DESCRIPTION

  Usage:

    gst-convert [OPTION]... [INFILE [OUTFILE]] gst-convert [OPTION]... -o|--output OUTFILE INFILES

OPTIONS

-q, --quiet
    don't show any message

-v, --verbose
    print extra information while processing

-f, --format=FORMAT
    convert from given input format (supported formats are gst, gst2, sif, squeak)

-C, --class=REGEX
    convert only classes matching REGEX

-C, --class=+REGEX
    in addition, convert classes matching REGEX

-C, --class=-REGEX
    do not convert classes matching REGEX

-c, --category=REGEX
    convert only classes whose category matches REGEX

-c, --category=+REGEX
    in addition, convert those whose category matches REGEX

-c, --category=-REGEX
    do not convert classes whose category matches REGEX

-r, --rule='CODE->REPL'
    look for CODE and replace it with REPL

-o, --output OUTFILE
    concatenate multiple input files into a single converted output file

--help
    display this message and exit

--version
    print version information and exit

SEE ALSO
The full documentation for gst-convert is maintained as a Texinfo manual. If the info and gst-convert programs are properly installed at your site, the command

    info gst

should give you access to the complete manual.